# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python rpm-build-python3 rpm-macros-fedora-compat
# END SourceDeps(oneline)
%define oldname pytrailer
%define fedora 19
%if 0%{?fedora} > 12 || 0%{?rhel} > 6
    # turned off until we have python3-dateutil package
    %global with_python3 0
%else
    %{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print (get_python_lib())")}
%endif


Name:           python-module-pytrailer
Version:        0.6.0
Release:        alt1_5
Summary:        Python module to simplify access to movie trailers on apple.com
Group:          Development/Python
License:        LGPLv3
URL:            http://github.com/sochotnicky/%{oldname}
Source0:        http://pypi.python.org/packages/source/p/%{oldname}/%{oldname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel python-module-setuptools
BuildRequires:  python-module-dateutil

%if 0%{?with_python3}
BuildRequires:  python3-devel python3-module-distribute
%endif # if with_python3
Source44: import.info


%description
Pytrailer is very simple python module using JSON and few simple
regular expressions to simplify access to trailer information on
www.apple.com/trailers.

%if 0%{?with_python3}
%package -n python3-module-pytrailer
Summary:        Python module to simplify access to movie trailers on apple.com
Group:          Development/Python

%description -n python3-module-pytrailer
Pytrailer is very simple python 3 module using JSON and few simple
regular expressions to simplify access to trailer information on
www.apple.com/trailers.
%endif #with_python3

%prep
%setup -n %{oldname}-%{version} -q

%if 0%{?with_python3}
rm -rf %{_builddir}/python3-%{oldname}-%{version}-%{release}
cp -a . %{_builddir}/python3-%{oldname}-%{version}-%{release}
%endif # with_python3



%build
%{__python} setup.py build

%if 0%{?with_python3}
pushd %{_builddir}/python3-%{oldname}-%{version}-%{release}
%{__python3} setup.py build
popd
%endif # with_python3

%install

%{__python} setup.py install --skip-build --root %{buildroot}

%if 0%{?with_python3}
pushd %{_builddir}/python3-%{oldname}-%{version}-%{release}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd
%endif # with_python3


%files
%doc LICENSE README ChangeLog
%{python_sitelibdir_noarch}/%{oldname}*
%{python_sitelibdir_noarch}/*.egg-info

%if 0%{?with_python3}
%files -n python3-module-pytrailer
%doc LICENSE README ChangeLog
%{python3_sitelibdir_noarch}/%{oldname}*
# we __pycache__ dirs exist from Python 3.2+
%if 0%{?fedora} > 14
%{python3_sitelibdir_noarch}/__pycache__/*
%endif
%{python3_sitelibdir_noarch}/*.egg-info
%endif # with_python3


%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.6.0-alt1_5
- update to new release by fcimport

* Thu Jan 10 2013 Igor Vlasenko <viy@altlinux.ru> 0.6.0-alt1_4
- initial fc import

